## org.apache.http.client.entity
Class GzipDecompressingEntity

    java.lang.Object
      org.apache.http.entity.HttpEntityWrapper
          org.apache.http.client.entity.GzipDecompressingEntity

All Implemented Interfaces:
  HttpEntity

    public class GzipDecompressingEntity

extends HttpEntityWrapper

`HttpEntityWrapper` for handling gzip Content Coded responses.

Since:
  4.1

Field Summary

Fields inherited from class org.apache.http.entity.HttpEntityWrapper
`wrappedEntity`

Constructor Summary
`GzipDecompressingEntity(HttpEntity entity)` Creates a new `GzipDecompressingEntity` which will wrap the specified `HttpEntity`.

Method Summary
`InputStream` `getContent()`
`Header` `getContentEncoding()`
`long` `getContentLength()`
`void` `writeTo(OutputStream outstream)`

Methods inherited from class org.apache.http.entity.HttpEntityWrapper
`consumeContent, getContentType, isChunked, isRepeatable, isStreaming`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GzipDecompressingEntity

    public GzipDecompressingEntity(HttpEntity entity)

  Creates a new `GzipDecompressingEntity` which will wrap the specified `HttpEntity`.

  Parameters:
    `entity` - the non-null `HttpEntity` to be wrapped

Method Detail

### getContentEncoding

    public Header getContentEncoding()

  Specified by:
    `getContentEncoding` in interface `HttpEntity`
  Overrides:
    `getContentEncoding` in class `HttpEntityWrapper`

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `HttpEntity`
  Overrides:
    `getContentLength` in class `HttpEntityWrapper`

### getContent

    public InputStream getContent()
                           throws IOException

  Specified by:
    `getContent` in interface `HttpEntity`
  Overrides:
    `getContent` in class `HttpEntityWrapper`
  Throws:
    `IOException`

### writeTo

    public void writeTo(OutputStream outstream)
                 throws IOException

  Specified by:
    `writeTo` in interface `HttpEntity`
  Overrides:
    `writeTo` in class `HttpEntityWrapper`
  Throws:
    `IOException`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.